[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# SysAssert

Standard Assert failure implementation

## Declaration

Source position: systemh.inc line 1138

`procedure SysAssert(`
`const Msg: ShortString;`
`const FName: ShortString;`
`LineNo: LongInt;`
`ErrorAddr: Pointer`
`);`

## Description

SysAssert is the standard implementation of the assertion failed code. It is the default value of the AssertErrorProc constant. It will print the assert message Msg together with the filename FName and linenumber LineNo to standard error output (StdErr) and will halt the program with exit code 227. The error address ErrorAddr is ignored.

## See also

AssertErrorProc |  | Custom assert error handling procedure

Documentation generated on: Feb 26 2014